Bug 107069 - Crontabs delete /tmp/.ICE-unix, which causes later non-root ownership
Crontabs delete /tmp/.ICE-unix, which causes later non-root ownership
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: tmpwatch (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-14 15:20 EDT by Robert M. Riches Jr.
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version: 2.9.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-14 17:14:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert M. Riches Jr. 2003-10-14 15:20:34 EDT
Description of problem:
Something in the crontabs is deleting /tmp/.ICE-unix, which
causes later creation with non-root ownership, and whining
warning messages that it should be owned by root.

Version-Release number of selected component (if applicable):
tmpwatch-2.8.4-3

How reproducible:
100%

Steps to Reproduce:
1. Create /tmp/.ICE-unix with root ownership if it does not
already exist.
2. Let the system run for a week or two.
3. Have a Gnome user log in.
4. Notice /tmp/.ICE-unix is owned by the user, not by root.
Notice the warning that /tmp/.ICE-unix should be owned by
root.  (It was until tmpwatch deleted it.  :-(
    
Actual results:
Something, apparently tmpwatch, is deleting /tmp/.ICE-unix,
after which Gnome/KDE/something creates it again, but without
root ownership.

Expected results:
If /tmp/.ICE-unix should be owned by root, then tmpwatch
should leave it alone.

Additional info:
Comment 1 Miloslav Trmač 2004-08-14 17:14:49 EDT
Should be fixed in tmpwatch-2.9.1-1, to show up in rawhide shortly.

Note You need to log in before you can comment on or make changes to this bug.